Bug 206634 - NPE when renaming a full remote project
NPE when renaming a full remote project
Status: VERIFIED FIXED
Product: cnd
Classification: Unclassified
Component: Remote
7.1
All All
: P2 (vote)
: 7.1.1
Assigned To: Vladimir Kvashin
issues@cnd
701patch-verified, 71patch1-verified,...
:
Depends on: 207488
Blocks:
  Show dependency treegraph
 
Reported: 2011-12-22 08:19 UTC by Vladimir Kvashin
Modified: 2012-06-09 14:29 UTC (History)
2 users (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Vladimir Kvashin 2011-12-22 08:19:56 UTC
Try renaming a full remote project (with "also rename directory" check on).
Get a stable NPE
java.lang.NullPointerException
	at org.netbeans.modules.cnd.makeproject.MakeProjectOperations.notifyMoved(MakeProjectOperations.java:192)
	at org.netbeans.spi.project.support.ProjectOperations.notifyMoved(ProjectOperations.java:221)
	at org.netbeans.modules.project.uiapi.DefaultProjectOperationsImplementation.doMoveProject(DefaultProjectOperationsImplementation.java:515)
	at org.netbeans.modules.project.uiapi.DefaultProjectOperationsImplementation$4.execute(DefaultProjectOperationsImplementation.java:360)
	at org.netbeans.modules.project.uiapi.DefaultProjectOperationsImplementation$6$1.run(DefaultProjectOperationsImplementation.java:649)
	at org.openide.util.RequestProcessor$Task.run(RequestProcessor.java:1424)
[catch] at org.openide.util.RequestProcessor$Processor.run(RequestProcessor.java:1968)
Comment 1 Vladimir Kvashin 2011-12-22 08:58:57 UTC
That's just to not forget: 
there is a change set in cnd-main that is somehow related:
http://hg.netbeans.org/cnd-main/rev/37293f8c1a73
Comment 2 Vladimir Kvashin 2012-01-13 15:46:56 UTC
Now now NPE is thrown, just the message "Cannot rename project, reason: null" is shown.
Comment 3 Vladimir Kvashin 2012-01-13 17:29:00 UTC
Fixed in cnd-main:
http://hg.netbeans.org/cnd-main/rev/a43e95b1745a
Haven't yet transplanted into blacktie!
Comment 4 Quality Engineering 2012-01-15 16:07:58 UTC
Integrated into 'main-golden'
Changeset: http://hg.netbeans.org/main-golden/rev/a43e95b1745a
User: Vladimir Kvashin <vkvashin@netbeans.org>
Log: fixed #206634 - NPE when renaming a full remote project
Comment 5 Vladimir Kvashin 2012-01-17 10:55:47 UTC
blacktie: rev/44afe3db3d16
Comment 6 Alexander Simon 2012-01-17 11:32:34 UTC
Fix was reviewed.
It is ok as fix up for NB 7.1.
Please provide another fix for NB 7.2.
Comment 7 Alexander Pepin 2012-02-07 15:18:20 UTC
verified in OSS IDE build 5.
Comment 8 Vladimir Kvashin 2012-02-08 20:07:33 UTC
Integrated into release71_fixes:
http://hg.netbeans.org/releases/rev/339bdaa04ee9
Comment 9 Quality Engineering 2012-02-09 02:40:24 UTC
Integrated into 'releases', will be available in build *201202082200* or newer. Wait for official and publicly available build.
Changeset: http://hg.netbeans.org/releases/rev/339bdaa04ee9
User: Vladimir Kvashin <vkvashin@netbeans.org>
Log: fixed #206634 - NPE when renaming a full remote project
(transplanted from a43e95b1745a9408e59e0821250355b8a54dc11e)
Comment 10 Alexander Pepin 2012-02-27 14:41:18 UTC
renaming a project together with the folder in nb7.1.1 rc1 build 20120214 
causes the following exceptions:
java.lang.NullPointerException
	at org.openide.nodes.EntrySupport$Lazy.removeEntries(EntrySupport.java:1800)
	at org.openide.nodes.EntrySupport$Lazy.setEntries(EntrySupport.java:1411)
	at org.openide.nodes.EntrySupport.setEntries(EntrySupport.java:102)
	at org.openide.nodes.FilterNode$Children$LazySupport.updateEntries(FilterNode.java:1841)
	at org.openide.nodes.FilterNode$Children$LazySupport.access$500(FilterNode.java:1720)
	at org.openide.nodes.FilterNode$Children$LazySupport$1.run(FilterNode.java:1816)
	at org.openide.util.Mutex.postRequest(Mutex.java:1267)
	at org.openide.util.Mutex.postRequest(Mutex.java:1213)
	at org.openide.util.Mutex.postWriteRequest(Mutex.java:585)
	at org.openide.nodes.FilterNode$Children$LazySupport.update(FilterNode.java:1813)
	at org.openide.nodes.FilterNode$Children$LazySupport.filterChildrenReordered(FilterNode.java:1801)
	at org.openide.nodes.FilterNode$Children.filterChildrenReordered(FilterNode.java:1594)
	at org.openide.nodes.FilterNode$ChildrenAdapter.childrenReordered(FilterNode.java:2000)
	at org.openide.nodes.Node.fireReorderChange(Node.java:1198)
	at org.openide.nodes.EntrySupport$Lazy.updateOrder(EntrySupport.java:1520)
	at org.openide.nodes.EntrySupport$Lazy.setEntries(EntrySupport.java:1416)
	at org.openide.nodes.EntrySupport.setEntries(EntrySupport.java:102)
	at org.openide.nodes.Children$Keys$2.run(Children.java:1555)
	at org.openide.util.Mutex$1Exec.run(Mutex.java:1244)
	at org.openide.nodes.Children$ProjectManagerDeadlockDetector.execute(Children.java:1920)
	at org.openide.util.Mutex.postRequest(Mutex.java:1250)
	at org.openide.util.Mutex.postRequest(Mutex.java:1213)
	at org.openide.util.Mutex.postWriteRequest(Mutex.java:585)
	at org.openide.nodes.Children$Keys.applyKeys(Children.java:1564)
	at org.openide.nodes.Children$Keys.setKeys(Children.java:1508)
	at org.openide.loaders.FolderChildren.access$600(FolderChildren.java:73)
	at org.openide.loaders.FolderChildren$1R.run(FolderChildren.java:188)
	at org.openide.util.RequestProcessor$Task.run(RequestProcessor.java:1411)
[catch] at org.openide.util.RequestProcessor$Processor.run(RequestProcessor.java:1991)


java.lang.ArrayIndexOutOfBoundsException: 44
	at org.openide.nodes.EntrySupport$Lazy.updateOrder(EntrySupport.java:1493)
	at org.openide.nodes.EntrySupport$Lazy.setEntries(EntrySupport.java:1416)
	at org.openide.nodes.EntrySupport.setEntries(EntrySupport.java:102)
	at org.openide.nodes.FilterNode$Children$LazySupport.updateEntries(FilterNode.java:1841)
	at org.openide.nodes.FilterNode$Children$LazySupport.access$500(FilterNode.java:1720)
	at org.openide.nodes.FilterNode$Children$LazySupport$1.run(FilterNode.java:1816)
[catch] at org.openide.util.Mutex.leaveImpl(Mutex.java:906)
	at org.openide.util.Mutex.leave(Mutex.java:839)
	at org.openide.util.Mutex$Privileged.exitReadAccess(Mutex.java:1669)
	at org.openide.nodes.Node.fireSubNodesChangeIdx(Node.java:1176)
	at org.openide.nodes.EntrySupport$Lazy.fireSubNodesChangeIdx(EntrySupport.java:1550)
	at org.openide.nodes.EntrySupport$Lazy.setEntries(EntrySupport.java:1456)
	at org.openide.nodes.EntrySupport.setEntries(EntrySupport.java:102)
	at org.openide.nodes.Children$Keys$2.run(Children.java:1555)
	at org.openide.util.Mutex$1Exec.run(Mutex.java:1244)
	at org.openide.nodes.Children$ProjectManagerDeadlockDetector.execute(Children.java:1920)
	at org.openide.util.Mutex.postRequest(Mutex.java:1250)
	at org.openide.util.Mutex.postRequest(Mutex.java:1213)
	at org.openide.util.Mutex.postWriteRequest(Mutex.java:585)
	at org.openide.nodes.Children$Keys.applyKeys(Children.java:1564)
	at org.openide.nodes.Children$Keys.setKeys(Children.java:1508)
	at org.openide.loaders.FolderChildren.access$600(FolderChildren.java:73)
	at org.openide.loaders.FolderChildren$1R.run(FolderChildren.java:188)
	at org.openide.util.RequestProcessor$Task.run(RequestProcessor.java:1411)
	at org.openide.util.RequestProcessor$Processor.run(RequestProcessor.java:1991)
Comment 11 Vladimir Kvashin 2012-02-28 08:26:49 UTC
This is logged as NetBeans platform issues:
issue 208497, issue 208587 and issue 208588
(all from exception reports - I guess two of them are just duplicates)
Comment 12 Alexander Pepin 2012-02-28 12:47:40 UTC
So I mark the issue as verified in patch.
Comment 13 Alexander Pepin 2012-06-09 14:29:34 UTC
Verified with automatic tests in OSS IDE built on NB 7.0.1 patch3


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo